package org.processmining.pnetalignmentxesconversion.connections;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.plugins.petrinet.replayresult.PNRepResult;
import org.processmining.pnetalignmentxesconversion.parameters.PNetAlignmentXESConversionParameters;

public class PNetAlignmentXESConversionConnection extends AbstractConnection {
	
	public final static String PNREPRESULT = "Alignment Results";
	
	public final static String LOG = "Log";
	
	public final static String ALIGNEDLOG = "Aligned Log";
	
	private PNetAlignmentXESConversionParameters parameters;
	
	public PNetAlignmentXESConversionConnection(PNRepResult alignmentResult,
			XLog log, XLog alignedLog, 
			PNetAlignmentXESConversionParameters parameters) {
		super("Convert PNRepResult to Log with Alignment Extension Connection");
		put(PNREPRESULT, alignmentResult);
		put(LOG, log);
		put(ALIGNEDLOG, alignedLog);
		this.parameters = parameters;
	}

	public PNetAlignmentXESConversionParameters getParameters() {
		return parameters;
	}
	
}
